<!-- -------------------- ./adm/uzrlist_dsfr.html -------------------- -->

<?php include "head_top_dsfr.html"; ?>

<?php include "part_tabs_dsfr.html"; ?>

<div id="contents-panel" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="contents-tab" tabindex="0">
  <form class="os-table-wrapper__search">
    <div class="fr-grid-row fr-grid-row--gutters">
      <div class="fr-col fr-col-md-3 fr-col-lg-3">
        <strong><span id='UzrCnt'><?php echo count($this->UFLIST); ?></span> utilisateurs : </strong>&nbsp;
	<button type="button" data-toggle="tooltip" data-placement="top" data-fr-opened="false" aria-controls="ModalUserCreate" data-original-title="Créer utilisateur" class="fr-btn fr-btn--sm create-content fr-btn--icon-left fr-icon-add-line" title="Créer utilisateur" >Créer utilisateur</button>
      </div>
      <div class="fr-col fr-col-md-3 fr-col-lg-3">
        <div class="fr-input-group">
          <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMel" placeholder="chercher mail" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F1']; ?>">
        </div>
      </div>
      <div class="fr-col fr-col-md-3 fr-col-lg-3">
        <div class="fr-input-group">
          <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchNam" placeholder="chercher nom" onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F2']; ?>">
        </div>
      </div>
      <div class="fr-col fr-col-md-3 fr-col-lg-3">
        <div class="fr-input-group">
          <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchCre" placeholder="chercher date " onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F3']; ?>">
        </div>
      </div>
      <div style="display: none">
        <div class="fr-input-group">
          <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchPay" placeholder="chercher paiement " onkeyup="GlobalUzFilter()" value="<?php echo @$this->SFILTU['F4']; ?>">
        </div>
      </div>
      
    </div>
  </form>

<!-- --------- start uzrlist ----------- -->


<table id="uzrtable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;mail</th>
 <th>&nbsp;nom prenom</th>
 <th>&nbsp;nbr porte-document</th>
 <th>&nbsp;statut</th>
 <th>&nbsp;créé le </th>
 <!-- <th>&nbsp;fin abonnement</th> -->
 <th>&nbsp;actions</th>
</tr>
</thead>
<tbody>
<?php 
foreach ($this->UFLIST as $did => $udata ) : 
$dspnam = $udata['name']." ".$udata['gvname'];
?>
<tr class="datarow">
 <td><span class="umel"><?php echo $udata['mail']; ?></span></td>
 <td><span class="unam"><?php echo $dspnam; ?></span></td>
 <td>
<?php echo $udata['cnt']; if ( $udata['cnt'] > 0 ): ?>
   <a class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-eye-fill" style="vertical-align:sub;" title="Visualiser les dossiers de l'utilisateur <?php echo $dspnam; ?>" href="<?php echo $this->URL->GetAdmMethod1Arg("D4U",$udata['id']); ?>"></a>
<?php endif; ?>
 </td>
 <td><?php echo $udata['status']; ?></td>
 <td><span class="ucre"><?php echo $udata['credate']; ?></span></td>
 <td class="os-actions">
  <div>
  <button type="button" data-toggle="tooltip" data-placement="top" data-fr-opened="false" aria-controls="ModalUserModify" data-original-title="Modifier" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-edit-line edit-content" title="Modifier" onclick="ModUserModal(<?php echo $udata['id'].",'".$udata['mail']."','".$udata['name']."','".$udata['gvname']."','".$udata['status']."','".$udata['type']."','none'"; ?>)">Modifier</button>
  <button type="button" data-toggle="tooltip" data-placement="top" data-fr-opened="false" aria-controls="ModalUserDelete" data-original-title="Supprimer" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-content" title="Supprimer" onclick="DelUserModal(<?php echo $udata['id'].",'".$dspnam."'"; ?>)">Supprimer</button>
  </div>
</td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>


</section>
</div>
</div>
</main>


<!-- -------------------------------------------------------------------- -->

<dialog aria-labelledby="ModalUserDelete" role="dialog" id="ModalUserDelete" class="fr-modal" data-fr-concealing-backdrop="false">
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" aria-controls="ModalUserDelete" >
              Fermer
            </button>
          </div>

          <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('DelUser'); ?>" target="_top">
            <input id="mud_imp_uid" type="hidden" name="UID" value="" />
            <div class="fr-modal__content">
              <h1 id="fr-modal-title-modal-1" class="fr-modal__title">
                <span class="fr-icon-delete-line fr-icon--lg" aria-hidden="true"></span>
                Supprimer cet utilisateur ?
              </h1>

              <p>
                L'utilisateur  <strong id="mud_tit_unam"></strong> sera supprimé !
              </p>
            </div>

            <div class="fr-modal__footer">
              <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center" >
                <li>
                  <button type="submit" class="fr-btn fr-icon-check-line fr-btn--icon-right" >
                    OK
                  </button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" aria-controls="ModalUserDelete" onclick="event.preventDefault()" >
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>

<!-- -------------------------------------------------------------------- -->

<script>
function toggleUserType(typ,elm) {
    if ( typ == 'ldp' ) {
        $('#'+elm).hide();
    } else {
        $('#'+elm).show();
    }
}
</script>

<!-- -------------------------------------------------------------------- -->

<dialog aria-labelledby="ModalUserCreate" role="dialog" id="ModalUserCreate" class="fr-modal" data-fr-concealing-backdrop="false">
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-10 fr-col-lg-8">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" aria-controls="ModalUserCreate" >
              Fermer
            </button>
          </div>

          <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('CreUser'); ?>" target="_top">
            <div class="fr-modal__content">
              <h1 id="fr-modal-title-modal-1" class="fr-modal__title">
                <span class="fr-icon-account-circle-fill fr-icon--lg" aria-hidden="true"></span>
                Création d'un utilisateur !
              </h1>

	      <div class="fr-input-group">
		<label for="cum_imp_mel" class="fr-label"><em>Mail</em></label>
		<input type="email" class="fr-input" value="" name="UZMEL" id="cum_imp_mel" placeholder="mail identifiant l'utilisateur">
	      </div>
	      
	      <div class="fr-input-group">
		<label for="cum_imp_gvn" class="fr-label"><em>Prénom</em></label>
		<input type="text" class="fr-input" value="" name="UZGVN" id="cum_imp_gvn">
	      </div>

	      <div class="fr-input-group">
		<label for="cum_imp_nam" class="fr-label"><em>Nom</em></label>
		<input type="text" class="fr-input" value="" name="UZNAM" id="cum_imp_nam">
	      </div>

	      <fieldset class="fr-fieldset fr-fieldset--inline">
		<legend class="fr-fieldset__legend fr-text--regular">
		  Type de compte
		</legend>
		<div class="fr-fieldset__content">
		  <div class="fr-radio-group">
		    <input type="radio" id="cum_imp_typ1" name="UZTYP" value="ldap" checked onclick="toggleUserType('ldp','cum_div_pwd')">
                    <label class="fr-label" for="cum_imp_typ1">Relié au SSO</label>
		  </div>
		  <div class="fr-radio-group">
                    <input type="radio" id="cum_imp_typ2" name="UZTYP" value="std" onclick="toggleUserType('std','cum_div_pwd')">
                    <label class="fr-label" for="cum_imp_typ2">indépendant</label>
		  </div>
		</div>
	      </fieldset>

	      <div class="fr-input-group" id="cum_div_pwd" style="display: none">
		<label for="cum_imp_pwd" class="fr-label"><em>Mot de passe</em></label>
		<input type="password" class="fr-input" value="" name="UZPWD" id="cum_imp_pwd">
	      </div>

	      <div class="fr-input-group">
		<label for="cum_sel_sts" class="fr-label"><em>Status</em></label>
		<select id="cum_sel_sts" name="UZSTS" class="fr-select" >
		  <?php foreach ($this->STATUSES as $sts ) : ?>
		  <option value="<?php echo $sts; ?>" ><?php echo $sts; ?></option>
		  <?php endforeach; ?>
 		</select>
	      </div>
	      
            </div>

            <div class="fr-modal__footer">
              <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center" >
                <li>
                  <button type="submit" class="fr-btn fr-icon-check-line fr-btn--icon-right" >
                    OK
                  </button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" aria-controls="ModalUserCreate" onclick="event.preventDefault()" >
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>

<!-- -------should factorize the almost identical ModalUserCreate and ModalUserModify !----------- -->

<dialog aria-labelledby="ModalUserModify" role="dialog" id="ModalUserModify" class="fr-modal" data-fr-concealing-backdrop="false"  >
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-10 fr-col-lg-8">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" aria-controls="ModalUserModify" >
              Fermer
            </button>
          </div>

          <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('ModUser'); ?>" target="_top">
            <input id="mum_imp_uid" type="hidden" name="UID" value="" />
            <div class="fr-modal__content">
              <h1 id="fr-modal-title-modal-1" class="fr-modal__title">
                <span class="fr-icon-account-circle-fill fr-icon--lg" aria-hidden="true"></span>
                Modification d'un utilisateur 
              </h1>

	      <div class="fr-input-group">
		<label for="mum_imp_mel" class="fr-label"><em>Mail</em></label>
		<input type="email" class="fr-input" value="" name="UZMEL" id="mum_imp_mel" placeholder="mail identifiant l'utilisateur">
	      </div>
	      
	      <div class="fr-input-group">
		<label for="mum_imp_gvn" class="fr-label"><em>Prénom</em></label>
		<input type="text" class="fr-input" value="" name="UZGVN" id="mum_imp_gvn">
	      </div>

	      <div class="fr-input-group">
		<label for="mum_imp_nam" class="fr-label"><em>Nom</em></label>
		<input type="text" class="fr-input" value="" name="UZNAM" id="mum_imp_nam">
	      </div>

	      <fieldset class="fr-fieldset fr-fieldset--inline">
		<legend class="fr-fieldset__legend fr-text--regular">
		  Type de compte
		</legend>
		<div class="fr-fieldset__content">
		  <div class="fr-radio-group">
		    <input type="radio" id="mum_imp_typ1" name="UZTYP" value="ldap" checked onclick="toggleUserType('ldp','mum_div_pwd')">
                    <label class="fr-label" for="mum_imp_typ1">Relié au SSO</label>
		  </div>
		  <div class="fr-radio-group">
                    <input type="radio" id="mum_imp_typ2" name="UZTYP" value="std" onclick="toggleUserType('std','mum_div_pwd')">
                    <label class="fr-label" for="mum_imp_typ2">indépendant</label>
		  </div>
		</div>
	      </fieldset>

	      <div class="fr-input-group" id="mum_div_pwd" style="display: none">
		<label for="mum_imp_pwd" class="fr-label"><em>Mot de passe</em></label>
		<input type="password" class="fr-input" value="" name="UZPWD" id="mum_imp_pwd">
	      </div>

	      <div class="fr-input-group">
		<label for="mum_sel_sts" class="fr-label"><em>Status</em></label>
		<select id="mum_sel_sts" name="UZSTS" class="fr-select" >
		  <?php foreach ($this->STATUSES as $sts ) : ?>
		  <option value="<?php echo $sts; ?>" ><?php echo $sts; ?></option>
		  <?php endforeach; ?>
 		</select>
	      </div>
	      
            </div>

            <div class="fr-modal__footer">
              <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center" >
                <li>
                  <button type="submit" class="fr-btn fr-icon-check-line fr-btn--icon-right" >
                    OK
                  </button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" aria-controls="ModalUserModify" onclick="event.preventDefault()" >
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#uzrtable").tablesorter({headers:{5:{sorter:false}},sortList: [[<?php echo $this->SVSORT; ?>]]} ); 
  GlobalUzFilter();
} 
); 
</script>

<script>
  #$('[data-toggle="tooltip"]').tooltip();
  $('#uzrtable').on('sortEnd', function(event) {
    SortSave('AU', event.target.config.sortList);
  });

</script>


</body>
</html>


